import subprocess
import time

# $ which gnuplot
# /usr/local/bin/gnuplot

prog = subprocess.Popen( ["/usr/local/bin/gnuplot"], bufsize=0, stdin=subprocess.PIPE, text=True )

prog.stdin.write( """
set term qt noraise
r1 = 21.0
r2 = 10.0
k = r1/r2
x(a) = (r1 + r2)*sin( a ) - r2 * sin( a*(1+k) )
y(a) = (r1 + r2)*cos( a ) - r2 * cos( a*(1+k) )
set parametric
set size ratio -1
set xrange[-50:50]
set yrange[-50:50]
n = 1
set trange[ 0:n*(pi/2) ]
unset key
set title "Epicicloide"
plot x(t), y(t)
""" )

i = 1
while 1 :
	prog.stdin.write( "n = " + str(i) + "\n" )
	prog.stdin.write( "set trange[ 0:n*(pi/4) ]\n" )
	prog.stdin.write( "set samples " + str(i) + "*12\n" ); 
	prog.stdin.write( "rep\n" )
	time.sleep( 0.2 )
	i += 1
	if i == 81 :
		time.sleep( 2 )
		i = 1
		
